---
title: vultr_application
url: https://docs.vultr.com/reference/terraform/data-sources/application
description: Retrieves information about applications available for deployment when creating a Vultr VPS instance.
publish_date: 2025-09-15T13:32:33.703851Z
last_updated: 2025-09-15T14:14:39.560626Z
---

# vultr_application

Get information about applications that can be launched when creating a Vultr VPS.

## Example Usage

Get the information for an application by `deploy_name`:

```hcl
data "vultr_application" "docker" {
  filter {
    name   = "deploy_name"
    values = ["Docker on CentOS 7 x64"]
  }
}
```

## Argument Reference

The following arguments are supported:

* `filter` - (Required) Query parameters for finding applications.

The `filter` block supports the following:

* `name` - Attribute name to filter with.
* `values` - One or more values filter with.

## Attributes Reference

The following attributes are exported:

* `name` - The name of the application.
* `deploy_name` - The deploy name of the application.
* `short_name` - The short name of the application.
* `vendor` - The vendor who authored the application.
* `type` - This defines if an application is `one-click` or `marketplace` .
* `image_id` - The Marketplace ID for this application.